
Base Language - Bug #4669

Conversion error for output stream-handle - protected property.

06/11/2020 01:15 PM - Marian Edu

Status: Test Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 07/29/2020 06:06 AM - Marian Edu

- Assignee set to Greg Shah

Assigning that to Greg to dispatch it to the right recipient :)

We've found an issue when converting a 4GL class and it turns out the offending code is an `output to stream-handle WebHandle` statement where

WebHandle is a public property in class's base class. If we use a variable/property defined in the class itself then it works so it's somewhere in the

get_stream_accessor rule that apparently only consider class own properties and throws a `missing refid annotation` when a property from one of the

supers are being used.

Trying to convert oo/openedge/web/web_response_writer/FwdWebResponseWriter.cls will hopefully give more insights.

#2 - 07/30/2020 09:34 AM - Greg Shah

- Start date deleted (06/11/2020)

- Assignee changed from Greg Shah to Constantin Asofiei

- Description updated

#3 - 08/03/2020 10:35 AM - Constantin Asofiei

- % Done changed from 0 to 100

- Status changed from New to WIP

Fixed in 3821c rev 11432.

#4 - 08/03/2020 12:20 PM - Greg Shah

- Status changed from WIP to Test
